<div class="mdl-grid m-admin-withdrawals" style="max-width: 900px">
  <div
    class="m-admin-withdrawals--user"
    *ngIf="user"
    i18n="@@M__ADMIN__WITHDRAWALS__USERNAME_TITLE"
  >
    <b>@{{ user }}</b
    >'s withdrawals
  </div>

  <table class="mdl-data-table mdl-js-data-table m-border" [mdl]>
    <thead>
      <tr class="m-admin--withdrawals--ledger-header">
        <th
          class="mdl-data-table__cell--non-numeric m-data-title"
          i18n="@@M__ADMIN__WITHDRAWALS__DATE_COL"
        >
          Date
        </th>
        <th
          class="mdl-data-table__cell--non-numeric m-data-title"
          i18n="Transaction@@M__ADMIN__WITHDRAWALS__TX_COL"
        >
          Tx
        </th>
        <th
          class="mdl-data-table__cell--non-numeric m-data-title"
          i18n="@@M__ADMIN__WITHDRAWALS__AMOUNT_COL"
        >
          Amount
        </th>
        <th
          class="mdl-data-table__cell--non-numeric m-data-title"
          i18n="@@M__ADMIN__WITHDRAWALS__COMPLETED_COL"
        >
          Completed?
        </th>
      </tr>
    </thead>
    <tbody>
      <ng-container *ngFor="let withdrawal of withdrawals; let i = index">
        <tr class="m-admin--withdrawals--ledger-row">
          <td class="mdl-data-table__cell--non-numeric">
            {{ withdrawal.timestamp * 1000 | date: 'short' }}
          </td>
          <td
            class="mdl-data-table__cell--non-numeric m-admin--withdrawals--ledger-tx"
          >
            {{ withdrawal.tx }}
          </td>
          <td>{{ withdrawal.amount | token: 18 | number: '1.0-4' }}</td>
          <td class="mdl-data-table__cell--non-numeric">
            {{ withdrawal.completed ? 'Yes' : 'No' }}
          </td>
        </tr>
      </ng-container>
      <tr
        class="m-admin--withdrawals--ledger-row m-wire-console--ledger-row-placeholder"
        *ngIf="!inProgress && (!withdrawals || !withdrawals.length)"
      >
        <td
          colspan="4"
          style="text-align:center"
          i18n="@@M__ADMIN__WITHDRAWALS__NO_WITHDRAWALS_NOTE"
        >
          No withdrawals to show. You can access a user's withdrawal ledger by
          using the admin drop-down on their channel.
        </td>
      </tr>
    </tbody>
  </table>

  <infinite-scroll
    distance="25%"
    (load)="load()"
    [moreData]="moreData"
    [inProgress]="inProgress"
  >
  </infinite-scroll>
</div>
